An empty bottle

しがないメンヘラエンジニアの日記。

Make Twitter BOT part1 : get twitteroauth @cakephp3

詳しくは下記リンクです。(丸投げ)

【CakePHP3】Twitter API ライブラリTwitterOAuthをComposerでインストール |

ただ、私が詰まったところは、outhのバージョンってどこだろう?ってことですね。


自分の対応しているバージョンはどれか、です。


 "abraham/twitteroauth": "*"

って全部OK!ってしてしまうのは個人的に好きじゃなかったので。


方法は以下。
1.作者さんのgithubに飛びます。
github.com

2.というかpackagistに飛びます。
packagist.org

packagistの右メニュー内に各バージョンの詳細が記載されています。

現在(2016/11/13)の最新バージョンは 0.7.1ですね。
packagist.org

詳しく知りたいという方は、phpのバージョンを明記してコメントください。

ただ、これくらいなんとなーく直感でみつけるくらいはエンジニアとして必要なスキルかなって思います。

私はphpが5.5.4だったので0.6.6です。